Package org.apache.commons.compress.archivers.cpio

# Interface CpioConstants

All Known Implementing Classes:
  `CpioArchiveEntry`, `CpioArchiveInputStream`, `CpioArchiveOutputStream`

public interface CpioConstants
All constants needed by CPIO. based on code from the jRPM project (jrpm.sourceforge.net) http://www.opengroup.org/onlinepubs/9699919799/basedefs/cpio.h.html has a list of the C_xxx constants.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BLOCK_SIZE`
  The default block size.
  `static final int`
  `C_IRGRP`
  Permits a file's group to read the file
  `static final int`
  `C_IROTH`
  Permits others to read the file
  `static final int`
  `C_IRUSR`
  Permits the owner of a file to read the file
  `static final int`
  `C_ISBLK`
  Defines a block device
  `static final int`
  `C_ISCHR`
  Defines a character device
  `static final int`
  `C_ISDIR`
  Defines a directory
  `static final int`
  `C_ISFIFO`
  Defines a pipe
  `static final int`
  `C_ISGID`
  Sets group ID
  `static final int`
  `C_ISLNK`
  Defines a symbolic link
  `static final int`
  `C_ISNWK`
  HP/UX network special (C_ISCTG)
  `static final int`
  `C_ISREG`
  Defines a regular file
  `static final int`
  `C_ISSOCK`
  Defines a socket
  `static final int`
  `C_ISUID`
  Sets user ID
  `static final int`
  `C_ISVTX`
  On directories, restricted deletion flag.
  `static final int`
  `C_IWGRP`
  Permits a file's group to write to the file
  `static final int`
  `C_IWOTH`
  Permits others to write to the file
  `static final int`
  `C_IWUSR`
  Permits the owner of a file to write to the file
  `static final int`
  `C_IXGRP`
  Permits a file's group to execute the file or to search the directory
  `static final int`
  `C_IXOTH`
  Permits others to execute the file or to search the directory
  `static final int`
  `C_IXUSR`
  Permits the owner of a file to execute the file or to search the directory
  `static final String`
  `CPIO_TRAILER`
  The special trailer marker
  `static final short`
  `FORMAT_NEW`
  Write/read a CpioArchiveEntry in the new format.
  `static final short`
  `FORMAT_NEW_CRC`
  Write/read a CpioArchiveEntry in the new format with crc.
  `static final short`
  `FORMAT_NEW_MASK`
  Mask for both new formats.
  `static final short`
  `FORMAT_OLD_ASCII`
  Write/read a CpioArchiveEntry in the old ascii format.
  `static final short`
  `FORMAT_OLD_BINARY`
  Write/read a CpioArchiveEntry in the old binary format.
  `static final short`
  `FORMAT_OLD_MASK`
  Mask for both old formats.
  `static final String`
  `MAGIC_NEW`
  Magic number of a cpio entry in the new format
  `static final String`
  `MAGIC_NEW_CRC`
  Magic number of a cpio entry in the new format with crc
  `static final String`
  `MAGIC_OLD_ASCII`
  Magic number of a cpio entry in the old ascii format
  `static final int`
  `MAGIC_OLD_BINARY`
  Magic number of a cpio entry in the old binary format
  `static final int`
  `S_IFMT`
  Mask for all file type bits.

- ## Field Details

  - ### MAGIC_NEW

    static final String MAGIC_NEW
    Magic number of a cpio entry in the new format
    See Also:
      - Constant Field Values

  - ### MAGIC_NEW_CRC

    static final String MAGIC_NEW_CRC
    Magic number of a cpio entry in the new format with crc
    See Also:
      - Constant Field Values

  - ### MAGIC_OLD_ASCII

    static final String MAGIC_OLD_ASCII
    Magic number of a cpio entry in the old ascii format
    See Also:
      - Constant Field Values

  - ### MAGIC_OLD_BINARY

    static final int MAGIC_OLD_BINARY
    Magic number of a cpio entry in the old binary format
    See Also:
      - Constant Field Values

  - ### FORMAT_NEW

    static final short FORMAT_NEW
    Write/read a CpioArchiveEntry in the new format. FORMAT_ constants are internal.
    See Also:
      - Constant Field Values

  - ### FORMAT_NEW_CRC

    static final short FORMAT_NEW_CRC
    Write/read a CpioArchiveEntry in the new format with crc. FORMAT_ constants are internal.
    See Also:
      - Constant Field Values

  - ### FORMAT_OLD_ASCII

    static final short FORMAT_OLD_ASCII
    Write/read a CpioArchiveEntry in the old ascii format. FORMAT_ constants are internal.
    See Also:
      - Constant Field Values

  - ### FORMAT_OLD_BINARY

    static final short FORMAT_OLD_BINARY
    Write/read a CpioArchiveEntry in the old binary format. FORMAT_ constants are internal.
    See Also:
      - Constant Field Values

  - ### FORMAT_NEW_MASK

    static final short FORMAT_NEW_MASK
    Mask for both new formats. FORMAT_ constants are internal.
    See Also:
      - Constant Field Values

  - ### FORMAT_OLD_MASK

    static final short FORMAT_OLD_MASK
    Mask for both old formats. FORMAT_ constants are internal.
    See Also:
      - Constant Field Values

  - ### S_IFMT

    static final int S_IFMT
    Mask for all file type bits.
    See Also:
      - Constant Field Values

  - ### C_ISSOCK

    static final int C_ISSOCK
    Defines a socket
    See Also:
      - Constant Field Values

  - ### C_ISLNK

    static final int C_ISLNK
    Defines a symbolic link
    See Also:
      - Constant Field Values

  - ### C_ISNWK

    static final int C_ISNWK
    HP/UX network special (C_ISCTG)
    See Also:
      - Constant Field Values

  - ### C_ISREG

    static final int C_ISREG
    Defines a regular file
    See Also:
      - Constant Field Values

  - ### C_ISBLK

    static final int C_ISBLK
    Defines a block device
    See Also:
      - Constant Field Values

  - ### C_ISDIR

    static final int C_ISDIR
    Defines a directory
    See Also:
      - Constant Field Values

  - ### C_ISCHR

    static final int C_ISCHR
    Defines a character device
    See Also:
      - Constant Field Values

  - ### C_ISFIFO

    static final int C_ISFIFO
    Defines a pipe
    See Also:
      - Constant Field Values

  - ### C_ISUID

    static final int C_ISUID
    Sets user ID
    See Also:
      - Constant Field Values

  - ### C_ISGID

    static final int C_ISGID
    Sets group ID
    See Also:
      - Constant Field Values

  - ### C_ISVTX

    static final int C_ISVTX
    On directories, restricted deletion flag.
    See Also:
      - Constant Field Values

  - ### C_IRUSR

    static final int C_IRUSR
    Permits the owner of a file to read the file
    See Also:
      - Constant Field Values

  - ### C_IWUSR

    static final int C_IWUSR
    Permits the owner of a file to write to the file
    See Also:
      - Constant Field Values

  - ### C_IXUSR

    static final int C_IXUSR
    Permits the owner of a file to execute the file or to search the directory
    See Also:
      - Constant Field Values

  - ### C_IRGRP

    static final int C_IRGRP
    Permits a file's group to read the file
    See Also:
      - Constant Field Values

  - ### C_IWGRP

    static final int C_IWGRP
    Permits a file's group to write to the file
    See Also:
      - Constant Field Values

  - ### C_IXGRP

    static final int C_IXGRP
    Permits a file's group to execute the file or to search the directory
    See Also:
      - Constant Field Values

  - ### C_IROTH

    static final int C_IROTH
    Permits others to read the file
    See Also:
      - Constant Field Values

  - ### C_IWOTH

    static final int C_IWOTH
    Permits others to write to the file
    See Also:
      - Constant Field Values

  - ### C_IXOTH

    static final int C_IXOTH
    Permits others to execute the file or to search the directory
    See Also:
      - Constant Field Values

  - ### CPIO_TRAILER

    static final String CPIO_TRAILER
    The special trailer marker
    See Also:
      - Constant Field Values

  - ### BLOCK_SIZE

    static final int BLOCK_SIZE
    The default block size.
    Since:
      1.1
    See Also:
      - Constant Field Values